summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2020-12-30 21:34:05 +0100
committerMiroslav Šulc <fordfrog@gentoo.org>2020-12-30 21:35:05 +0100
commit1f3c1e8991bbf3484b1d7fd4df7d84b7899befdd (patch)
tree475c3bd0ec69ad2f484889a7f48d0c0d138fe0b8
parentdev-util/idea-community: Drop virtual/jdk dependency (diff)
downloadgentoo-1f3c1e8991bbf3484b1d7fd4df7d84b7899befdd.tar.gz
gentoo-1f3c1e8991bbf3484b1d7fd4df7d84b7899befdd.tar.bz2
gentoo-1f3c1e8991bbf3484b1d7fd4df7d84b7899befdd.zip
dev-python/pivy: new ebuild
Bug: https://bugs.gentoo.org/659478 Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
-rw-r--r--dev-python/pivy/Manifest1
-rw-r--r--dev-python/pivy/files/pivy-0.6.4-find-SoQt.patch31
-rw-r--r--dev-python/pivy/metadata.xml23
-rw-r--r--dev-python/pivy/pivy-0.6.5.ebuild41
4 files changed, 96 insertions, 0 deletions
diff --git a/dev-python/pivy/Manifest b/dev-python/pivy/Manifest
new file mode 100644
index 00000000000..3b1437a5bd1
--- /dev/null
+++ b/dev-python/pivy/Manifest
@@ -0,0 +1 @@
+DIST pivy-0.6.5.tar.gz 6614159 BLAKE2B 2652feb26137b2deda8b76083d3bd9018303ca0a0236ea97e83e9ff24ddeda30462a25ac1b20b0d3e718fc9f83ae5ebf7116a5c0d94debcc5b6d729792230655 SHA512 6cf0b1ac348336609f42f6a72df7ffdc3e1042a4f8fc6e2b725ca38f09476c70bafa14c1f083d1badeb5b37b974a0fbf5806ea71d44d734b9ab9b125ce7f8695
diff --git a/dev-python/pivy/files/pivy-0.6.4-find-SoQt.patch b/dev-python/pivy/files/pivy-0.6.4-find-SoQt.patch
new file mode 100644
index 00000000000..4d8a6fdd888
--- /dev/null
+++ b/dev-python/pivy/files/pivy-0.6.4-find-SoQt.patch
@@ -0,0 +1,31 @@
+From 1c9ffef4d85327fe517bdcf7e11c339a4862ba2e Mon Sep 17 00:00:00 2001
+From: Bernd Waibel <waebbl@gmail.com>
+Date: Wed, 12 Jun 2019 21:21:34 +0200
+Subject: [PATCH] CMakeLists.txt: remove NONE keyword for languages from
+ project definition. This solves a bug where SoQt is not found on Gentoo
+ systems (see https://github.com/waebbl/waebbl-gentoo/issues/42)
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+Thanks to QÍN Yuhào for coming up with this fix.
+
+Suggested-by: QÍN Yuhào <qinyh18@mails.tsinghua.edu.cn>
+Signed-off-by: Bernd Waibel <waebbl@gmail.com>
+---
+ CMakeLists.txt | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index 76d0d06..48bd3c0 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -1,4 +1,4 @@
+-project(pivy_cmake_setup NONE)
++project(pivy_cmake_setup)
+ cmake_minimum_required(VERSION 3.5)
+
+
+--
+2.21.0
+
diff --git a/dev-python/pivy/metadata.xml b/dev-python/pivy/metadata.xml
new file mode 100644
index 00000000000..ec11d492167
--- /dev/null
+++ b/dev-python/pivy/metadata.xml
@@ -0,0 +1,23 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+ <email>fordfrog@gentoo.org</email>
+ <name>Miroslav Šulc</name>
+</maintainer>
+<maintainer type="person">
+ <email>waebbl@gmail.com</email>
+ <name>Bernd Waibel</name>
+</maintainer>
+<use>
+ <flag name="quarter">
+ Use <pkg>media-libs/quarter</pkg> for GUI bindings
+ </flag>
+ <flag name="soqt">
+ Use <pkg>media-libs/SoQt</pkg> for GUI bindings
+ </flag>
+</use>
+<upstream>
+ <remote-id type="github">coin3d/quarter</remote-id>
+</upstream>
+</pkgmetadata>
diff --git a/dev-python/pivy/pivy-0.6.5.ebuild b/dev-python/pivy/pivy-0.6.5.ebuild
new file mode 100644
index 00000000000..8bbccd29a30
--- /dev/null
+++ b/dev-python/pivy/pivy-0.6.5.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1
+
+DESCRIPTION="Coin3D bindings for Python"
+HOMEPAGE="https://github.com/coin3d/pivy"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ PIVY_REPO_URI="https://github.com/coin3d/pivy.git"
+else
+ SRC_URI="https://github.com/coin3d/pivy/archive/${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="ISC"
+SLOT="0"
+IUSE="+quarter soqt"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ || ( quarter soqt )
+"
+
+RDEPEND="
+ >=media-libs/coin-4.0.0
+ quarter? ( media-libs/quarter )
+ soqt? ( >=media-libs/SoQt-1.6.0 )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-lang/swig"
+
+PATCHES=( "${FILESDIR}/${PN}-0.6.4-find-SoQt.patch" )
+
+DOCS=( AUTHORS HACKING NEWS README.md THANKS )